// import {
//   COriginal,
//   CplusplusOriginal,
//   JavaOriginal,
//   PythonOriginal,
// } from "devicons-react";

// export const SUPPORTED_LANGUAGES = [
//   { key: "c", value: "c", label: "C", icon: COriginal },
//   { key: "cpp", value: "cpp", label: "C++", icon: CplusplusOriginal },
//   { key: "java", value: "java", label: "Java", icon: JavaOriginal },
//   { key: "python", value: "python", label: "Python", icon: PythonOriginal },
// ];

// export const DEFAULT_LANGUAGE = SUPPORTED_LANGUAGES[0].value;

import { COriginal, CplusplusOriginal, JavaOriginal } from "devicons-react";

export const SUPPORTED_EDITOR_LANGUAGES = ["c", "cpp", "java"];

export const SUPPORTED_EDITOR_LANGUAGES_CONFIG = {
  c: {
    id: "c",
    label: "C",
    icon: COriginal,
  },
  cpp: {
    id: "cpp",
    label: "C++",
    icon: CplusplusOriginal,
  },
  java: {
    id: "java",
    label: "Java",
    icon: JavaOriginal,
  },
};

export type SupportedEditorLanguage =
  (typeof SUPPORTED_EDITOR_LANGUAGES)[number];
